@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,700;1,400;1,700&display=swap');

.productWrapper {
    font-family: 'Montserrat', sans-serif;
    box-sizing: border-box;
    width: 300px;
    border: 2px solid rgba(177, 213, 234, 0.521);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.productWrapper.tableView {
    width: 100%;
    justify-content: stretch;
    flex-direction: row;
}

.productInfoContainer {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    align-items: center;
}

.productInfoContainerTableView {
    @extend .productInfoContainer;
    flex-flow: row;
    justify-content: stretch;
}

.imgWrapper {
    width: 200px;
    height: 150px;
    margin: 15px 0;
}

.productImage {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.productName {
    margin-bottom: 10px;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
}

.productNameTableView {
    @extend .productName;
    font-size: 18px;
    width: 15%;
    margin: 0;
}

.productDescription {
    line-height: 25px;
    margin-bottom: 20px;
    padding: 0 15px;
    text-align: justify;
}

.productDescriptionTableView {
    @extend .productDescription;
    box-sizing: border-box;
    width: 50%;
    padding: 0 30px 0 10px;
    margin: 0;
}

.productColor {
    margin-bottom: 20px;
    text-align: center;
    span {
        font-style: italic;
        font-weight: 700;
    }
}

.productColorTableView {
    @extend .productColor;
    margin: 0;
}

.priceAndBtnWrapper {
    box-sizing: border-box;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 15px;
    padding: 0 10px;
}

.priceAndBtnWrapperTableView {
    @extend .priceAndBtnWrapper;
    margin: 0;
}

.productPrice {
    font-size: 20px;
    font-weight: 700;
}

.buyBtn,
.deleteBtn {
    background-color: transparent;
    margin-left: 10px;
    padding: 15px 30px;
    border-radius: 10px;
    box-shadow: 0 0 40px 40px #329411 inset, 0 0 0 0 #329411;
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    letter-spacing: 2px;
    color: white;
    cursor: pointer;
    border: none;
    transition: .15s ease-in-out;
}

.buyBtnTableView {
    @extend .buyBtn;
    width: 162px;
}

.buyBtn:hover {
    box-shadow: 0 0 10px 0 #329411 inset, 0 0 10px 4px #329411;
    color: #329411;
}

.deleteBtn {
    box-shadow: 0 0 40px 40px #F137A6 inset, 0 0 0 0 #F137A6;
    width: 207px;
    height: 46px;
}

.deleteBtnTableView {
    @extend .deleteBtn;
    margin-right: 9px;
}

.deleteBtn:hover {
    box-shadow: 0 0 10px 0 #F137A6 inset, 0 0 10px 4px #F137A6;
    color: #F137A6;
}

.starIcon {
    height: 20px;
    width: 20px; 
    cursor: pointer;
    fill: #fff;
    transition: .3s ease; 
    margin-left: 19px;
}

.starIconTableView {
    @extend .starIcon;
    margin: 0 9px 0 19px;
}

.starIcon:hover {

    transform: scale(1.2);
}

.selected {
    fill: #ED8A19;
}